### Method

# Gio DBusMethodInvocation get_property_info

since: 2.38

#### Declaration

    const GDBusPropertyInfo*
    g_dbus_method_invocation_get_property_info (
      GDBusMethodInvocation* invocation
    )

#### Description

Gets information about the property that this method call is for, if any.

This will only be set in the case of an invocation in response to a property Get or Set call that has been directed to the method call handler for an object on account of its `property_get()` or `property_set()` vtable pointers being unset.

See `GDBusInterfaceVTable` for more information.

If the call was GetAll, `NULL` will be returned.

Available since: 2.38

#### Return value

Type: `GDBusPropertyInfo`

A `GDBusPropertyInfo` or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.